Bug 168217 - CAN-2005-3108 [RHEL 4] ioremap_nocache causes panic, only on one motherboard, not on upstream 2.6.12.5 or later at least
CAN-2005-3108 [RHEL 4] ioremap_nocache causes panic, only on one motherboard,...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
public=20050517,impact=moderate,sourc...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-13 12:21 EDT by Issue Tracker
Modified: 2013-08-05 21:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2005-808
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-27 11:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Copy of dmesg from bad machine (17.71 KB, text/plain)
2005-09-13 12:30 EDT, Eric Paris
no flags Details
Copy of panic from bad machine (2.62 KB, text/plain)
2005-09-13 12:31 EDT, Eric Paris
no flags Details
Their attempted backport of upstream (4.34 KB, text/plain)
2005-09-13 12:32 EDT, Eric Paris
no flags Details
fix for x86_64 iounmap (598 bytes, patch)
2005-09-26 12:01 EDT, Jason Baron
no flags Details | Diff
fix for x86_64 iounmap take #2 (629 bytes, patch)
2005-09-26 12:05 EDT, Jason Baron
no flags Details | Diff
fix for x86_64 iounmap take #3 (697 bytes, text/plain)
2005-10-07 14:43 EDT, Jason Baron
no flags Details

  None (edit)
Description Issue Tracker 2005-09-13 12:21:13 EDT
Escalated to Bugzilla from IssueTracker
Comment 15 Jason Baron 2005-09-26 12:01:13 EDT
Created attachment 119264 [details]
fix for x86_64 iounmap

Can we have the customer test the above patch? The patch doesn't change
semantics of the the vmalloc routines, and should fix the issue. thanks.
Comment 16 Jason Baron 2005-09-26 12:05:13 EDT
Created attachment 119265 [details]
fix for x86_64 iounmap take #2

actually we don't need the tlb flush since its in the change__attr_addr routine
already.
Comment 26 Jason Baron 2005-10-07 14:43:44 EDT
Created attachment 119720 [details]
fix for x86_64 iounmap take #3

very similar to previous patch, but closer to upstream
Comment 27 Jason Baron 2005-10-12 11:38:57 EDT
*** Bug 170264 has been marked as a duplicate of this bug. ***
Comment 28 Dan Carpenter 2005-10-12 12:03:31 EDT
This is basically the same as bug 160135.

This bug:
Unable to handle kernel paging request at 00000000000018f0
bug 160135:
Unable to handle kernel paging request at 00000000000018f0

Is there no way pfn_to_page() could be modified to handle this kind of address?  

I'm just wonderring because I'm trying to figure out bug 168605 which seems related.

Comment 30 Jason Baron 2005-10-12 13:18:45 EDT
should be fixed in -22.3.EL, see: http://people.redhat.com/~jbaron/rhel4/
Comment 31 Mark J. Cox (Product Security) 2005-10-13 06:28:07 EDT
mm/ioremap.c in Linux 2.6 on x86_64 systems allows local users to cause a denial
of service or an information leak via an iremap on a certain memory map that
causes the iounmap to perform a lookup of a page that does not exist.

fixed upstream in 2.6.12
http://linux.bkbits.net:8080/linux-2.6/cset@428a06d1t7yny15TW1vsHxmsfP9YPg

Comment 34 Red Hat Bugzilla 2005-10-27 11:07:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-808.html

Note You need to log in before you can comment on or make changes to this bug.